Name: sweets-telepathy-gabble
Version: 0.13.6

Release: 17.3
Group: Development/Tools/Other
Summary: A Jabber/XMPP connection manager for Telepathy
License: LGPLv2+
Url: http://telepathy.freedesktop.org/

Source: telepathy-gabble-0.13.6.tar.gz
Source1: sweet.tar.gz

Patch0: conn-olpc.patch
Patch1: glib-deprecated.patch
Patch2: 67139.patch


Requires: dbus >= 1.1.0
Requires: gnutls >= 2.8.2
Requires: libnice >= 0.0.11
Requires: libsoup
Requires: sqlite
Requires: sweets-telepathy-glib >= 0.14.5
BuildRequires: dbus-devel >= 1.1.0
BuildRequires: gcc
BuildRequires: gnutls-devel >= 2.8.2
BuildRequires: libnice-devel >= 0.0.11
BuildRequires: libsoup-devel
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: sqlite-devel
BuildRequires: sweets-telepathy-glib >= 0.14.5
BuildRequires: libxslt
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no


%description
A Jabber/XMPP connection manager for Telepathy

%prep
%setup -n telepathy-gabble-0.13.6
%patch0 -p1
%patch1 -p0
%patch2 -p1

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
test -e /opt/sweets/telepathy-glib/binding && . /opt/sweets/telepathy-glib/binding; ./configure --prefix=/opt/sweets/telepathy-gabble --disable-gtk-doc --without-ca-certificates CFLAGS="${CFLAGS} -Wl,-rpath,$TELEPATHY_PATH/lib"
test -e /opt/sweets/telepathy-glib/binding && . /opt/sweets/telepathy-glib/binding; make

%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

test -e /opt/sweets/telepathy-glib/binding && . /opt/sweets/telepathy-glib/binding; make DESTDIR=%{buildroot}/.dest install
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/telepathy-gabble '' '' > sweets-telepathy-gabble.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/telepathy-gabble/sweets.recipe >> sweets-telepathy-gabble.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/telepathy-gabble '' '' >> sweets-telepathy-gabble.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/telepathy-gabble
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/telepathy-gabble/pydirs)
echo /opt/sweets/telepathy-gabble/pydirs >> sweets-telepathy-gabble.files

%post
test -e /opt/sweets/telepathy-gabble/pydirs && for i in `cat /opt/sweets/telepathy-gabble/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/telepathy-gabble/pydirs && for i in `cat /opt/sweets/telepathy-gabble/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-telepathy-gabble.files

%changelog
